Subject: [ippm] RFC8321bis and 8889bis

From: Martin Duke <[email-masked]>
Date: Thu, 7 Apr 2022 13:16:36 -0700

Hello IPPM,

You may recall that there was a need to progress RFC8321 and RFC8889 from
Experimental to Proposed Standard. There was a feeling that the update
would be trivial and we could therefore do it as an AD sponsored document.

I've done 3 rounds of AD review and I've seen the need to substantially
adjust the scope of these documents and tweak the design in places. The
changes are not revolutionary, but I'm a non-practitioner and have driven
some design changes with minimal review. At this point I think it's
important to get good IPPM review; if we're going to do that anyway, we
might as well do the (expedited) working group process so that there's no
confusion as to why IPPM didn't formally review an update to its own
documents.

So, as first step, I invite the working group to adopt these two drafts:
https://datatracker.ietf.org/doc/draft-fioccola-rfc8321bis/
https://datatracker.ietf.org/doc/draft-fioccola-rfc8889bis/
Any objections to adoption, as always, should be to the value of doing the
work at all, and the general direction of the drafts. I hope to follow up
the adoption call with an immediate WGLC to shake out any detailed
objections, though we will take as long as we need to address concerns that
people have.

I invite you to consult the changelogs on both of these documents, which
are not long, to get a sense of what we've done.

For those of you who like diffs, there was a big reorganization between
draft-02 and -03 that is hard to follow in a diff. So here is a set of
diffs that exclude the -02 to -03 transition:
https://www.ietf.org/rfcdiff?url1=rfc8321.txt&url2=draft-fioccola-rfc8321bis-02.txt
https://www.ietf.org/rfcdiff?url1=draft-fioccola-rfc8321bis-03.txt&url2=draft-fioccola-rfc8321bis-04.txt

https://www.ietf.org/rfcdiff?url1=rfc8889.txt&url2=draft-fioccola-rfc8889bis-02.txt
https://www.ietf.org/rfcdiff?url1=draft-fioccola-rfc8889bis-03.txt&url2=draft-fioccola-rfc8889bis-04.txt

I believe it's up to the chairs to start the adoption call. If people are
good about reading the document during WGLC, I would like to think we could
be done before IETF 114.

Your friendly Area Director,
Martin

---

From: Tommy Pauly <[email-masked]>
Date: Thu, 07 Apr 2022 17:03:36 -0700

Hello IPPM,

This email starts an adoption call for draft-fioccola-rfc8321bis and draft-fioccola-rfc8889bis. Please see Martin’s emails below for details — the main idea here is that we’re moving two IPPM RFCs from Experimental to Proposed Standard.

The chairs would like to have a short amount of time spent in the WG processing these documents. If we adopt, we’d plan to very shortly thereafter do a working group last call.

Please reply to this email by Thursday, April 21 and indicate if you support adopting this document.

Best,
Tommy & Marcus

> On Apr 7, 2022, at 1:16 PM, Martin Duke <[email-masked]> wrote:
> 
> Hello IPPM,
> 
> You may recall that there was a need to progress RFC8321 and RFC8889 from Experimental to Proposed Standard. There was a feeling that the update would be trivial and we could therefore do it as an AD sponsored document.
> 
> I've done 3 rounds of AD review and I've seen the need to substantially adjust the scope of these documents and tweak the design in places. The changes are not revolutionary, but I'm a non-practitioner and have driven some design changes with minimal review. At this point I think it's important to get good IPPM review; if we're going to do that anyway, we might as well do the (expedited) working group process so that there's no confusion as to why IPPM didn't formally review an update to its own documents.
> 
> https://datatracker.ietf.org/doc/draft-fioccola-rfc8321bis/ <https://datatracker.ietf.org/doc/draft-fioccola-rfc8321bis/>
> https://datatracker.ietf.org/doc/draft-fioccola-rfc8889bis/ <https://datatracker.ietf.org/doc/draft-fioccola-rfc8889bis/>
> Any objections to adoption, as always, should be to the value of doing the work at all, and the general direction of the drafts. I hope to follow up the adoption call with an immediate WGLC to shake out any detailed objections, though we will take as long as we need to address concerns that people have.
> 
> I invite you to consult the changelogs on both of these documents, which are not long, to get a sense of what we've done.
> 
> For those of you who like diffs, there was a big reorganization between draft-02 and -03 that is hard to follow in a diff. So here is a set of diffs that exclude the -02 to -03 transition:
> https://www.ietf.org/rfcdiff?url1=rfc8321.txt&url2=draft-fioccola-rfc8321bis-02.txt <https://www.ietf.org/rfcdiff?url1=rfc8321.txt&url2=draft-fioccola-rfc8321bis-02.txt>
> https://www.ietf.org/rfcdiff?url1=draft-fioccola-rfc8321bis-03.txt&url2=draft-fioccola-rfc8321bis-04.txt <https://www.ietf.org/rfcdiff?url1=draft-fioccola-rfc8321bis-03.txt&url2=draft-fioccola-rfc8321bis-04.txt>
> 
> https://www.ietf.org/rfcdiff?url1=rfc8889.txt&url2=draft-fioccola-rfc8889bis-02.txt <https://www.ietf.org/rfcdiff?url1=rfc8889.txt&url2=draft-fioccola-rfc8889bis-02.txt>
> https://www.ietf.org/rfcdiff?url1=draft-fioccola-rfc8889bis-03.txt&url2=draft-fioccola-rfc8889bis-04.txt <https://www.ietf.org/rfcdiff?url1=draft-fioccola-rfc8889bis-03.txt&url2=draft-fioccola-rfc8889bis-04.txt>
> 
> I believe it's up to the chairs to start the adoption call. If people are good about reading the document during WGLC, I would like to think we could be done before IETF 114.
> 
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm

---

From: t petch <[email-masked]>
Date: Fri, 8 Apr 2022 09:42:53 +0100

> Please reply to this email by Thursday, April 21 and indicate if you support adopting this document.

'this document'
Which document?

Please post subsequent e-mails about one I-D only with the subject line 
indicating which, else I will get confused (and may well confuse others 
with my comments).

Tom Petch

---

From: t petch <[email-masked]>
Date: Fri, 8 Apr 2022 10:27:07 +0100

On 08/04/2022 09:42, t petch wrote:
>> This email starts an adoption call for draft-fioccola-rfc8321bis and
>> draft-fioccola-rfc8889bis. Please see Martin’s emails below for
>> details — the main idea here is that we’re moving two IPPM RFCs from
>> Experimental to Proposed Standard.
>>
>> The chairs would like to have a short amount of time spent in the WG
>> processing these documents. If we adopt, we’d plan to very shortly
>> thereafter do a working group last call.
>>

I note that 'this document' fails to give any explanation of why it 
exists (beyond the boiler-plate that tells me it is obsoleting)?

Why?  I may know the answer but think it wrong to assume that others will.

This should be in the Introduction and there should also be a 'Changes 
from ...'

Tom Petch

>>> You may recall that there was a need to progress RFC8321 and RFC8889
>>> from Experimental to Proposed Standard. There was a feeling that the
>>> update would be trivial and we could therefore do it as an AD
>>> sponsored document.
>>>
>>> I've done 3 rounds of AD review and I've seen the need to
>>> substantially adjust the scope of these documents and tweak the
>>> design in places. The changes are not revolutionary, but I'm a
>>> non-practitioner and have driven some design changes with minimal
>>> review. At this point I think it's important to get good IPPM review;
>>> if we're going to do that anyway, we might as well do the (expedited)
>>> working group process so that there's no confusion as to why IPPM
>>> didn't formally review an update to its own documents.
>>>
>>> <https://datatracker.ietf.org/doc/draft-fioccola-rfc8321bis/>
>>> <https://datatracker.ietf.org/doc/draft-fioccola-rfc8889bis/>
>>> Any objections to adoption, as always, should be to the value of
>>> doing the work at all, and the general direction of the drafts. I
>>> hope to follow up the adoption call with an immediate WGLC to shake
>>> out any detailed objections, though we will take as long as we need
>>> to address concerns that people have.
>>>
>>> I invite you to consult the changelogs on both of these documents,
>>> which are not long, to get a sense of what we've done.
>>>
>>> For those of you who like diffs, there was a big reorganization
>>> between draft-02 and -03 that is hard to follow in a diff. So here is
>>> a set of diffs that exclude the -02 to -03 transition:
>>> <https://www.ietf.org/rfcdiff?url1=rfc8321.txt&url2=draft-fioccola-rfc8321bis-02.txt>
>>>
>>> <https://www.ietf.org/rfcdiff?url1=draft-fioccola-rfc8321bis-03.txt&url2=draft-fioccola-rfc8321bis-04.txt>
>>>
>>>
>>> <https://www.ietf.org/rfcdiff?url1=rfc8889.txt&url2=draft-fioccola-rfc8889bis-02.txt>
>>>
>>> <https://www.ietf.org/rfcdiff?url1=draft-fioccola-rfc8889bis-03.txt&url2=draft-fioccola-rfc8889bis-04.txt>
>>>
>>>
>>> I believe it's up to the chairs to start the adoption call. If people
>>> are good about reading the document during WGLC, I would like to
>>> think we could be done before IETF 114.
>>>

---

From: Giuseppe Fioccola <[email-masked]>
Date: Fri, 8 Apr 2022 09:52:15 +0000

Hi Tom,
Thank you for your feedback.
Please find my answers inline tagged as [GF].

Regards,

Giuseppe

-----Original Message-----
From: ippm <[email-masked]> On Behalf Of t petch
Sent: Friday, April 8, 2022 11:27 AM
To: Tommy Pauly <tpauly=[email-masked]>; IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] WG adoption call for RFC8321bis and 8889bis

On 08/04/2022 09:42, t petch wrote:
>> draft-fioccola-rfc8889bis. Please see Martin's emails below for 
>> details - the main idea here is that we're moving two IPPM RFCs from 
>> processing these documents. If we adopt, we'd plan to very shortly 
> Please post subsequent e-mails about one I-D only with the subject 
> line indicating which, else I will get confused (and may well confuse 
> others with my comments).

I note that 'this document' fails to give any explanation of why it exists (beyond the boiler-plate that tells me it is obsoleting)?

This should be in the Introduction and there should also be a 'Changes from ...'

[GF]: Sure. I will add the explanation in the introduction of both RFC8321bis and RFC8889bis. It is to elevate the Experimental RFCs to Standard Track. There are several implementations (e.g. https://datatracker.ietf.org/doc/draft-ietf-6man-ipv6-alt-mark/  that need a normative reference for the methodology. Our initial approach was to use the informative reference but it was not accepted by the IESG. Therefore it was suggested to obsolete the experimental docs with new standard docs.
Please note that, for both drafts, you can find the Changes Log in Appendix with all the modifications from the original RFCs for each version.

Tom Petch

>>> review. At this point I think it's important to get good IPPM 
>>> review; if we're going to do that anyway, we might as well do the 
>>> (expedited) working group process so that there's no confusion as to 
>>> why IPPM didn't formally review an update to its own documents.
>>>
>>> between draft-02 and -03 that is hard to follow in a diff. So here 
>>> is a set of diffs that exclude the -02 to -03 transition:
>>> I believe it's up to the chairs to start the adoption call. If 
>>> people are good about reading the document during WGLC, I would like 
>>> to think we could be done before IETF 114.
>>>

---

From: t petch <[email-masked]>
Date: Fri, 8 Apr 2022 16:36:31 +0100

>> On 08/04/2022 01:03, Tommy Pauly wrote:
<snip>
> [GF]: Sure. I will add the explanation in the introduction of both RFC8321bis and RFC8889bis. It is to elevate the Experimental RFCs to Standard Track. There are several implementations (e.g. https…

Yes.  I have followed the thread and did voice my support for new RFC 
which I am glad to see.  And below ...
> Please note that, for both drafts, you can find the Changes Log in Appendix with all the modifications from the original RFCs for each version.
  ... Yes but that is not quite what I had in mind.   Think of an 
implementor who has accurately implemented RFC8321; they need to know if 
and how to change the code, they do not want a blow-by-blow account of 
every text change, how the RFC-to-be came to be what it is, just a 
statement of what needs changing where (if anything); and an Appendix 
labelled 'Changes Log', while helpful for the WG, is a candidate for 
excision by the RFC Editor whereas I am thinking of an Informative 
appendix that is referenced by the Introduction - 'Appendix X contains a 
list of technical changes from RFC8321'. Look at RFC7950; this lists the 
changes from RFC6020 and, at the insistence of the AD, the list was 
split into NBC and BC and was put up front.  Your changes are likely 
minor but I think that RFC7950 is a template of how to format a new 
version of a protocol.

Tom Petch

> .

---

From: Giuseppe Fioccola <[email-masked]>
Date: Fri, 8 Apr 2022 18:05:20 +0000

Hi Tom,
Please see my replies inline tagged as [GF].

Regards,

Giuseppe 

-----Original Message-----
From: t petch <[email-masked]> 
Sent: Friday, April 8, 2022 5:37 PM
To: Giuseppe Fioccola <[email-masked]>; Tommy Pauly <tpauly=[email-masked]>; IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] WG adoption call for RFC8321bis and 8889bis

<snip>
> [GF]: Sure. I will add the explanation in the introduction of both RFC8321bis and RFC8889bis. It is to elevate the Experimental RFCs to Standard Track. There are several implementations (e.g. https…

Yes.  I have followed the thread and did voice my support for new RFC which I am glad to see.  And below ...

[GF]: Thank you for the support.

  ... Yes but that is not quite what I had in mind.   Think of an 
implementor who has accurately implemented RFC8321; they need to know if and how to change the code, they do not want a blow-by-blow account of every text change, how the RFC-to-be came to be what it is, just a statement of what needs changing where (if anything); and an Appendix labelled 'Changes Log', while helpful for the WG, is a candidate for excision by the RFC Editor whereas I am thinking of an Informative appendix that is referenced by the Introduction - 'Appendix X contains a list of technical changes from RFC8321'. Look at RFC7950; this lists the changes from RFC6020 and, at the insistence of the AD, the list was split into NBC and BC and was put up front.  Your changes are likely minor but I think that RFC7950 is a template of how to format a new version of a protocol.

[GF]: Thanks for the suggestion. We can surely consider to follow the template of RFC7950. We are elevating the experimental RFCs to standard track so all the changes are just about the structure, further clarification and the use of a standard wording. No new additions to the methodology have been made. I can write a summary of the changes after the Introduction and it can be a short section that reports the recommendations for the implementation included in the standard track draft.

Tom Petch

>>>> You may recall that there was a need to progress RFC8321 and 
>>>> RFC8889 from Experimental to Proposed Standard. There was a feeling 
>>>> that the update would be trivial and we could therefore do it as an 
>>>> AD sponsored document.
>>>>
>>>> (expedited) working group process so that there's no confusion as 
>>>> to why IPPM didn't formally review an update to its own documents.
>>>>
>>>> https://www.ietf.org/rfcdiff?url1=rfc8321.txt&url2=draft-fioccola-r
>>>> f
>>>> c8321bis-02.txt
>>>> <https://www.ietf.org/rfcdiff?url1=rfc8321.txt&url2=draft-fioccola-
>>>> r
>>>> fc8321bis-02.txt>
>>>>
>>>> https://www.ietf.org/rfcdiff?url1=draft-fioccola-rfc8321bis-03.txt&
>>>> u rl2=draft-fioccola-rfc8321bis-04.txt
>>>> <https://www.ietf.org/rfcdiff?url1=draft-fioccola-rfc8321bis-03.txt
>>>> & url2=draft-fioccola-rfc8321bis-04.txt>
>>>>
>>>>
>>>> https://www.ietf.org/rfcdiff?url1=rfc8889.txt&url2=draft-fioccola-r
>>>> f
>>>> c8889bis-02.txt
>>>> <https://www.ietf.org/rfcdiff?url1=rfc8889.txt&url2=draft-fioccola-
>>>> r
>>>> fc8889bis-02.txt>
>>>>
>>>> https://www.ietf.org/rfcdiff?url1=draft-fioccola-rfc8889bis-03.txt&
>>>> u rl2=draft-fioccola-rfc8889bis-04.txt
>>>> <https://www.ietf.org/rfcdiff?url1=draft-fioccola-rfc8889bis-03.txt
>>>> & url2=draft-fioccola-rfc8889bis-04.txt>
>>>>
>>>>
>>>> people are good about reading the document during WGLC, I would 
>>>> like to think we could be done before IETF 114.
>>>>

---

From: Cociglio Mauro <[email-masked]>
Date: Tue, 12 Apr 2022 08:54:16 +0000

Hello IPPM.
I support as coauthor these drafts.
Telecom Italia/TIM uses these performance monitoring techniques within its networks.
BR.
Mauro
_____________________
Mauro Cociglio
Telecom Italia/TIM
Via G. Reiss Romoli, 274
10148 - Torino (Italy)
Tel.: +390112285028
Mobile: +393357669751
_____________________

TIM - Uso Interno - Tutti i diritti riservati.
Da: ippm <[email-masked]> Per conto di Tommy Pauly
Inviato: venerdì 8 aprile 2022 02:04
A: IETF IPPM WG <[email-masked]>
Oggetto: [EXT] [ippm] WG adoption call for RFC8321bis and 8889bis

Hello IPPM,

This email starts an adoption call for draft-fioccola-rfc8321bis and draft-fioccola-rfc8889bis. Please see Martin's emails below for details - the main idea here is that we're moving two IPPM RFCs from Experimental to Proposed Standard.

The chairs would like to have a short amount of time spent in the WG processing these documents. If we adopt, we'd plan to very shortly thereafter do a working group last call.

Best,
Tommy & Marcus

On Apr 7, 2022, at 1:16 PM, Martin Duke <[email-masked]<mailto:[email-masked]>> wrote:

Hello IPPM,

_______________________________________________
ippm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ippm

Questo messaggio e i suoi allegati sono indirizzati esclusivamente alle persone indicate. La diffusione, copia o qualsiasi altra azione derivante dalla conoscenza di queste informazioni sono rigorosamente vietate. Qualora abbiate ricevuto questo documento per errore siete cortesemente pregati di darne immediata comunicazione al mittente e di provvedere alla sua distruzione, Grazie.
This e-mail and any attachments is confidential and may contain privileged information intended for the addressee(s) only. Dissemination, copying, printing or use by anybody else is unauthorised. If you are not the intended recipient, please delete this message and any attachments and advise the sender by return e-mail, Thanks.

Rispetta l'ambiente. Non stampare questa mail se non è necessario.

---

From: Tianran Zhou <[email-masked]>
Date: Tue, 12 Apr 2022 09:04:43 +0000

Hi WG,

I support the adoption of both two drafts.

Best,
Tianran

From: ippm [mailto:[email-masked]] On Behalf Of Tommy Pauly
Sent: Friday, April 8, 2022 8:04 AM
To: IETF IPPM WG <[email-masked]>
Subject: [ippm] WG adoption call for RFC8321bis and 8889bis

Hello IPPM,

Best,
Tommy & Marcus

Hello IPPM,

---

From: Riccardo Sisto <[email-masked]>
Date: Tue, 12 Apr 2022 17:51:34 +0200

Dear Tommy & Marcus,
I support adoption of the two RFCs (8889bis as author)

Best regards,

Riccardo Sisto

-- 
========================================================
Riccardo Sisto
Politecnico di Torino - Dip. di Automatica e Informatica
Corso Duca degli Abruzzi, 24 - I-10129 Torino - ITALY
Phone: +39 011 090 7073 - Fax: +39 011 090 7099
e-mail: [email-masked]
web: http://staff.polito.it/riccardo.sisto
========================================================

> *Da:* ippm <[email-masked]> *Per conto di * Tommy Pauly
> *Inviato:* venerdì 8 aprile 2022 02:04
> *A:* IETF IPPM WG <[email-masked]>
> *Oggetto:* [EXT] [ippm] WG adoption call for RFC8321bis and 8889bis
> 
> Hello IPPM,
> 
> This email starts an adoption call for draft-fioccola-rfc8321bis 
> and draft-fioccola-rfc8889bis. Please see Martin’s emails below for details — 
> the main idea here is that we’re moving two IPPM RFCs from Experimental to 
> Proposed Standard.
> 
> processing these documents. If we adopt, we’d plan to very shortly thereafter 
> do a working group last call.
> 
> Please reply to this email by *Thursday, April 21* and indicate if you support 
> adopting this document.
> 
> Best,
> 
> Tommy & Marcus
> 
>     objections, though we will take as long as we need to address concerns
>     that people have.
> 
>     good about reading the document during WGLC, I would like to think we
>     could be done before IETF 114.
> 
>     [email-masked] <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/ippm>
>

---

From: Greg Mirsky <[email-masked]>
Date: Tue, 12 Apr 2022 09:25:02 -0700

Hi Tommy, Marcus, et al.,
I support the IPPM WG adoption of:

   - draft-fioccola-rfc8321bis (as co-author)
   - draft-fioccola-rfc8889bis (as an enthusiastic supporter of the
   Alternate Marking method)

Regards,
Greg

On Thu, Apr 7, 2022 at 5:03 PM Tommy Pauly <tpauly=
[email-masked]> wrote:

> and draft-fioccola-rfc8889bis. Please see Martin’s emails below for details
> — the main idea here is that we’re moving two IPPM RFCs from Experimental
> to Proposed Standard.
>
> Please reply to this email by *Thursday, April 21* and indicate if you
> support adopting this document.
>
> Best,
> Tommy & Marcus
>

---

From: "[email-masked]" <[email-masked]>
Date: Fri, 15 Apr 2022 18:55:23 +0800

Hello Giuseppe and all,

I've read the two drafts. The solutions proposed are interesting and may be useful in theory. However, I see no standard requirement  in their current versions. Can the implemetations from different vendors interoperate with each other? If draft-ietf-6man-ipv6-alt-mark is enough to ensure the interoperation, is it possible to not refer RFC8321 or 8889 at all?

Best Regards,
Zhenqiang Li

[email-masked]
 
From: Giuseppe Fioccola
Date: 2022-04-09 02:05
To: t petch; Tommy Pauly; IETF IPPM WG
Subject: Re: [ippm] WG adoption call for RFC8321bis and 8889bis
Hi Tom,
Please see my replies inline tagged as [GF].
 
Regards,
 
Giuseppe 
 
-----Original Message-----
From: t petch <[email-masked]> 
Sent: Friday, April 8, 2022 5:37 PM
To: Giuseppe Fioccola <[email-masked]>; Tommy Pauly <tpauly=[email-masked]>; IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] WG adoption call for RFC8321bis and 8889bis
 
<snip>

 

Tom Petch

---

From: "[email-masked]" <[email-masked]>
Date: Fri, 15 Apr 2022 19:01:10 +0800

Hello Mauro,

I am Zhenqiang Li from China Mobile. I'm interested in the solutions and considering if it is possible to test them in our network. Could you please give more information about your application including the network situation, metrics monitered in your network, the methods used and the results etc. Thank you very much.

Best Regards,
Zhenqiang Li

[email-masked]
 
From: Cociglio Mauro
Date: 2022-04-12 16:54
To: Tommy Pauly; IETF IPPM WG
Subject: [ippm] R: [EXT] WG adoption call for RFC8321bis and 8889bis
Hello IPPM.
I support as coauthor these drafts.
Telecom Italia/TIM uses these performance monitoring techniques within its networks.
BR.
Mauro
_____________________
Mauro Cociglio
Telecom Italia/TIM
Via G. Reiss Romoli, 274
10148 - Torino (Italy)
Tel.: +390112285028
Mobile: +393357669751
_____________________

 
Hello IPPM,

 
 
Best,
Tommy & Marcus

Hello IPPM,

---

From: Giuseppe Fioccola <[email-masked]>
Date: Fri, 15 Apr 2022 13:52:25 +0000

Hi Zhenqiang,
Thank you for your good opinion.
Please note that it is implemented from different vendors and operators.
In this regard, you can have a look at the poll launched last year about RFC8321 and RFC8889:
https://mailarchive.ietf.org/arch/browse/ippm/?gbt=1&index=U-gy4T5XxfxIkdmMK-hWaeRKHwY
Also, draft-ietf-6man-ipv6-alt-mark is not the only application. Indeed the method is applied to MPLS (draft-ietf-mpls-rfc6374-sfl), BIER (draft-ietf-bier-pmmm-oam), SFC (draft-mfm-ippm-sfc-nsh-pmamm), …

Regards,

Giuseppe

From: [email-masked] <[email-masked]>
Sent: Friday, April 15, 2022 12:55 PM
To: Giuseppe Fioccola <[email-masked]>; t petch <[email-masked]>; Tommy Pauly <[email-masked]>; ippm <[email-masked]>
Subject: Re: Re: [ippm] WG adoption call for RFC8321bis and 8889bis

Hello Giuseppe and all,

________________________________
Best Regards,
Zhenqiang Li

[email-masked]<mailto:[email-masked]>

From: Giuseppe Fioccola<mailto:giuseppe.fioccola=[email-masked]>
Date: 2022-04-09 02:05
To: t petch<mailto:[email-masked]>; Tommy Pauly<mailto:tpauly=[email-masked]>; IETF IPPM WG<mailto:[email-masked]>
Subject: Re: [ippm] WG adoption call for RFC8321bis and 8889bis
Hi Tom,
Please see my replies inline tagged as [GF].

Regards,

Giuseppe

-----Original Message-----
From: t petch <[email-masked]<mailto:[email-masked]>>
Sent: Friday, April 8, 2022 5:37 PM
To: Giuseppe Fioccola <[email-masked]<mailto:[email-masked]>>; Tommy Pauly <tpauly=[email-masked]<mailto:tpauly=[email-masked]>>; IETF IPPM WG <[email-masked]<mailto:[email-masked]>>
Subject: Re: [ippm] WG adoption call for RFC8321bis and 8889bis

On 08/04/2022 10:52, Giuseppe Fioccola wrote:
> From: ippm <[email-masked]<mailto:[email-masked]>> On Behalf Of t petch
> To: Tommy Pauly <tpauly=[email-masked]<mailto:tpauly=[email-masked]>>; IETF IPPM WG
> <[email-masked]<mailto:[email-masked]>>
<snip>

Tom Petch

---

From: Haoyu Song <[email-masked]>
Date: Fri, 15 Apr 2022 16:11:04 +0000

Hi IPPM WG,

I have read the two drafts and support the adoption of them. Thanks!

Haoyu

From: ippm <[email-masked]> On Behalf Of Tommy Pauly
Sent: Thursday, April 7, 2022 5:04 PM
To: IETF IPPM WG <[email-masked]>
Subject: [ippm] WG adoption call for RFC8321bis and 8889bis

Hello IPPM,

Best,
Tommy & Marcus

Hello IPPM,

So, as first step, I invite the working group to adopt these two drafts:
https://datatracker.ietf.org/doc/draft-fioccola-rfc8321bis/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-fioccola-rfc8321bis%2F&data=04%7C01%7Chaoyu.song%40futurewei.com%7C8236a5773bc242d6e65608da18f345c6%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637849730421380465%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=oECSW4n009zIYjGlr%2FPtPmiaDPGVvkvbMGWdzsT7nTo%3D&reserved=0>
https://datatracker.ietf.org/doc/draft-fioccola-rfc8889bis/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-fioccola-rfc8889bis%2F&data=04%7C01%7Chaoyu.song%40futurewei.com%7C8236a5773bc242d6e65608da18f345c6%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637849730421380465%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=hXAMYdvYnrhdfoXEIFiSZf9Hor%2BuOWKo6uq45dg9JH0%3D&reserved=0>
Any objections to adoption, as always, should be to the value of doing the work at all, and the general direction of the drafts. I hope to follow up the adoption call with an immediate WGLC to shake out any detailed objections, though we will take as long as we need to address concerns that people have.

For those of you who like diffs, there was a big reorganization between draft-02 and -03 that is hard to follow in a diff. So here is a set of diffs that exclude the -02 to -03 transition:
https://www.ietf.org/rfcdiff?url1=rfc8321.txt&url2=draft-fioccola-rfc8321bis-02.txt<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl1%3Drfc8321.txt%26url2%3Ddraft-fioccola-rfc8321bis-02.txt&data=04%7C01%7Chaoyu.song%40futurewei.com%7C8236a5773bc242d6e65608da18f345c6%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637849730421380465%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=hWlkpw5E%2B98KmFfLnLUw1aKF%2Fo%2FJy5LjHJW4wISmU18%3D&reserved=0>
https://www.ietf.org/rfcdiff?url1=draft-fioccola-rfc8321bis-03.txt&url2=draft-fioccola-rfc8321bis-04.txt<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl1%3Ddraft-fioccola-rfc8321bis-03.txt%26url2%3Ddraft-fioccola-rfc8321bis-04.txt&data=04%7C01%7Chaoyu.song%40futurewei.com%7C8236a5773bc242d6e65608da18f345c6%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637849730421380465%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=PjrHjyH6oLUklNrjgm%2BI1J045e8x1HYCHiCSuqO7SEA%3D&reserved=0>

https://www.ietf.org/rfcdiff?url1=rfc8889.txt&url2=draft-fioccola-rfc8889bis-02.txt<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl1%3Drfc8889.txt%26url2%3Ddraft-fioccola-rfc8889bis-02.txt&data=04%7C01%7Chaoyu.song%40futurewei.com%7C8236a5773bc242d6e65608da18f345c6%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637849730421380465%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=aTkTw9UyCxjHc5v%2BnYNEd2ZrmiDJyKgKxTcvGorzyVY%3D&reserved=0>
https://www.ietf.org/rfcdiff?url1=draft-fioccola-rfc8889bis-03.txt&url2=draft-fioccola-rfc8889bis-04.txt<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl1%3Ddraft-fioccola-rfc8889bis-03.txt%26url2%3Ddraft-fioccola-rfc8889bis-04.txt&data=04%7C01%7Chaoyu.song%40futurewei.com%7C8236a5773bc242d6e65608da18f345c6%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637849730421380465%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=VnoUWLuKBUpBDdOBTefAYVM7f0j2qsIzwNlzRUGXNaE%3D&reserved=0>

---

From: Mach Chen <[email-masked]>
Date: Sat, 16 Apr 2022 03:29:53 +0000

Hi Tommy,

I support the adoption of both drafts.

Best regards,
Mach

Hello IPPM,

Best,
Tommy & Marcus

Hello IPPM,

---

From: "Yangfan(Fan,IP Standards)" <[email-masked]>
Date: Sat, 16 Apr 2022 06:49:26 +0000

Hi IPPM,

I support the adoption of both draft and am happy to see them to become Standards in short time.

Best,
Fan

From: ippm [mailto:[email-masked]] On Behalf Of Tommy Pauly
Sent: Friday, April 8, 2022 8:04 AM
To: IETF IPPM WG <[email-masked]<mailto:[email-masked]>>
Subject: [ippm] WG adoption call for RFC8321bis and 8889bis

Hello IPPM,

Best,
Tommy & Marcus

Hello IPPM,

---

From: Gyan Mishra <[email-masked]>
Date: Sat, 16 Apr 2022 09:45:06 -0400

Dear IPPM WG

I have read the two drafts and support WG adoption.

Regards

Gyan

-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*Email [email-masked] <[email-masked]>*

*M 301 502-1347*

---

From: 庞冉(联通集团中国联通研究院-本部) <[email-masked]>
Date: Mon, 18 Apr 2022 02:28:16 +0000

Hi WG,

I support the adoption of the two drafts.

Best regards,
Pang Ran.

From: Tommy Pauly<mailto:tpauly=[email-masked]>
Date: 2022-04-08 08:03
To: IETF IPPM WG<mailto:[email-masked]>
Subject: [ippm] WG adoption call for RFC8321bis and 8889bis
Hello IPPM,

Best,
Tommy & Marcus

Hello IPPM,

如果您错误接收了该邮件，请通过电子邮件立即通知我们。请回复邮件到 [email-masked]，即可以退订此邮件。我们将立即将您的信息从我们的发送目录中删除。 If you have received this email in error please notify us immediately by e-mail. Please reply to [email-masked] ,you can unsubscribe from this mail. We will immediately remove your information from send catalogue of our.

---

From: "Aijun Wang" <[email-masked]>
Date: Mon, 18 Apr 2022 12:04:25 +0800

Hi, All:
I support these two documents' adoptions.
And I also concur with the discussion conclusion, that there should be one
summary of the changes at the begin of the documents.

And, once it is adopted ,should the contents in
https://datatracker.ietf.org/doc/html/draft-ietf-6man-ipv6-alt-mark-13 be
simplified? It seems that that document describes also all the methodologies
again?

Best Regards

Aijun Wang
China Telecom

-----Original Message-----
From: [email-masked] <[email-masked]> On Behalf Of Giuseppe
Fioccola
Sent: Saturday, April 9, 2022 2:05 AM
To: t petch <[email-masked]>; Tommy Pauly
<tpauly=[email-masked]>; IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] WG adoption call for RFC8321bis and 8889bis

Hi Tom,

Regards,

Giuseppe 

-----Original Message-----
From: t petch <[email-masked]>
Sent: Friday, April 8, 2022 5:37 PM
To: Giuseppe Fioccola <[email-masked]>; Tommy Pauly
<tpauly=[email-masked]>; IETF IPPM WG <[email-masked]>
Subject: Re: [ippm] WG adoption call for RFC8321bis and 8889bis

<snip>
> I note that 'this document' fails to give any explanation of why it exists
(beyond the boiler-plate that tells me it is obsoleting)?
from ...'
>
> [GF]: Sure. I will add the explanation in the introduction of both
RFC8321bis and RFC8889bis. It is to elevate the Experimental RFCs to
Standard Track. There are several implementations (e.g.
https://datatracker.ietf.org/doc/draft-ietf-6man-ipv6-alt-mark/  that need a
normative reference for the methodology. Our initial approach was to use the
informative reference but it was not accepted by the IESG. Therefore it was
suggested to obsolete the experimental docs with new standard docs.

Yes.  I have followed the thread and did voice my support for new RFC which
I am glad to see.  And below ...

> Please note that, for both drafts, you can find the Changes Log in
Appendix with all the modifications from the original RFCs for each version.
  ... Yes but that is not quite what I had in mind.   Think of an 
implementor who has accurately implemented RFC8321; they need to know if and
how to change the code, they do not want a blow-by-blow account of every
text change, how the RFC-to-be came to be what it is, just a statement of
what needs changing where (if anything); and an Appendix labelled 'Changes
Log', while helpful for the WG, is a candidate for excision by the RFC
Editor whereas I am thinking of an Informative appendix that is referenced
by the Introduction - 'Appendix X contains a list of technical changes from
RFC8321'. Look at RFC7950; this lists the changes from RFC6020 and, at the
insistence of the AD, the list was split into NBC and BC and was put up
front.  Your changes are likely minor but I think that RFC7950 is a template
of how to format a new version of a protocol.

[GF]: Thanks for the suggestion. We can surely consider to follow the
template of RFC7950. We are elevating the experimental RFCs to standard
track so all the changes are just about the structure, further clarification
and the use of a standard wording. No new additions to the methodology have
been made. I can write a summary of the changes after the Introduction and
it can be a short section that reports the recommendations for the
implementation included in the standard track draft.

Tom Petch

---

From: <[email-masked]>
Date: Mon, 18 Apr 2022 14:53:46 +0800 (CST)

Hi all,

I support wg adoption of RFC8321bis.
I have no opinion on RFC8889bis because I don't know any implementation of it.

At the same time, I reserve my opinion on reducing the implementation options specified by this document, because IMHO that's a burden to the vendor, operator or even the general reader.
- In section 3.1, two implementation options "flow-based" and "link-based" are provided, I know only "flow-based" implementation.
- In section 3.2, three implementation options "single-marking methodology", "mean delay" and "double-marking methodology" are provided, I know only "double-marking methodology" implementation.

Best Regards,
Xiao Min

------------------原始邮件------------------
发件人：TommyPauly
收件人：IETF IPPM WG;
日 期 ：2022年04月08日 08:04
主 题 ：[ippm] WG adoption call for RFC8321bis and 8889bis
_______________________________________________
ippm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ippm

Hello IPPM,
Tommy & MarcusOn Apr 7, 2022, at 1:16 PM, Martin Duke <[email-masked]> wrote:
_______________________________________________ippm mailing [email-masked]://www.ietf.org/mailman/listinfo/ippm